# Interface methods for submodule: FastMarchingReachedTargetNodesStoppingCriterion
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import FastMarchingStoppingCriterionBaseProxy as _FastMarchingStoppingCriterionBaseProxy


# Interface methods for class: FastMarchingReachedTargetNodesStoppingCriterion
class FastMarchingReachedTargetNodesStoppingCriterionProxy(_FastMarchingStoppingCriterionBaseProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetTargetCondition(self, iCondition) -> None:
		""""""
		...

	def GetTargetCondition(self):
		""""""
		...

	def SetTargetOffset(self, _arg: float) -> None:
		""""""
		...

	def GetTargetOffset(self) -> float:
		""""""
		...

	def SetNumberOfTargetsToBeReached(self, iN: int) -> None:
		""""""
		...

	def SetTargetNodes(self, iNodes) -> None:
		""""""
		...

	def SetCurrentNode(self, iNode: Sequence[int]) -> None:
		""""""
		...

	def IsSatisfied(self) -> bool:
		""""""
		...

	def GetDescription(self) -> str:
		""""""
		...

